.job_template: &job_definition
  tags:
    - win64
  script:
    - rustup override set %RUST%
    - rustc --version && cargo --version
    - set VCPKG_ROOT=%CD%\..\vcp
    - echo VCPKG_ROOT is %VCPKG_ROOT%
    - cd ..
    - if not exist vcp git clone https://github.com/Microsoft/vcpkg vcp
    - cd vcp
    - del /q downloads\*
    - cd
    - git checkout master
    - git pull
    - git log -1 --format=oneline
    - cd ..\vcpkg-rs
    - cd
    - call ..\vcp\bootstrap-vcpkg.bat
    - '"%VCPKG_ROOT%\vcpkg.exe" remove --outdated --recurse'
    - '"%VCPKG_ROOT%\vcpkg.exe" install curl zeromq openssl'
    - rustc --version
    - cargo --version
    - set RUST_BACKTRACE=1
    - set RUST_TEST_THREADS=1
    - cargo update
    - cargo clean
    - cargo build --all --features="extras"
    - cargo test --all --features="extras"
    - cargo run --manifest-path vcpkg_cli\Cargo.toml -- probe sqlite3
    - cargo run --features="extras" --manifest-path systest\Cargo.toml 

win64_dynamic:
  <<: *job_definition
  variables:
    TARGET: x86_64-pc-windows-msvc
    VCPKGRS_DYNAMIC: 1
    RUST: stable
    VCPKG_DEFAULT_TRIPLET: x64-windows

win64_static:
  <<: *job_definition
  variables:
    TARGET: x86_64-pc-windows-msvc
    RUSTFLAGS: -Ctarget-feature=+crt-static
    RUST: stable
    VCPKG_DEFAULT_TRIPLET: x64-windows-static

win32_dynamic:
  <<: *job_definition
  variables:
    TARGET: i686-pc-windows-msvc
    VCPKGRS_DYNAMIC: 1
    RUST: stable
    VCPKG_DEFAULT_TRIPLET: x86-windows

win32_static:
  <<: *job_definition
  variables:
    TARGET: i686-pc-windows-msvc
    RUSTFLAGS: -Ctarget-feature=+crt-static
    RUST: stable
    VCPKG_DEFAULT_TRIPLET: x86-windows-static
    
variables:
    VCPKG_PANIC: 1
    
